#!/bin/sh

version="0.1"
package="myenv"
tmp="/tmp"

path="$tmp/$package-$version"

rm -rf $path*
mkdir -p $path/$package

for i in myEnv.pm  myenv.profile setMyEnv showMyEnvStatus ; do
  cp $i "$path/$package/"
done

cp myenv_installer.sh "$path/"
cp installMyEnv "$path/"

cd $path
tar -cf "$package.tar" "$package"
cd - 1>/dev/null
rm -rf $path/$package

cd $tmp
tar -czf "$package-$version.tgz" "$package-$version"
cd - 1>/dev/null

cp "$tmp/$package-$version.tgz" .
rm -rf $path*
